3

[alpine-aports] [PATCH 1/4] testing/py-colorama: new aport

Sören Tempel
Details
Message ID
<20161103183910.14558-1-soeren+git@soeren-tempel.net>
Sender timestamp
1478198347
DKIM signature
missing
Download raw message
Patch: +54 -0
---
 testing/py-colorama/APKBUILD | 54 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 54 insertions(+)
 create mode 100644 testing/py-colorama/APKBUILD

diff --git a/testing/py-colorama/APKBUILD b/testing/py-colorama/APKBUILD
new file mode 100644
index 0000000..9775876
--- /dev/null
+++ b/testing/py-colorama/APKBUILD
@@ -0,0 +1,54 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=py-colorama
+_pkgname=${pkgname#py-}
+pkgver=0.3.7
+pkgrel=0
+pkgdesc="Python API for cross-platform colored terminal text"
+url="http://pypi.python.org/pypi/colorama"
+arch="all"
+license="BSD"
+depends=""
+makedepends="python2-dev python3-dev py-setuptools"
+install=""
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2 $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/tartley/$_pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/examples/
+
+	install -m644 CHANGELOG.rst README.rst \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+	install -m644 demos/* "$pkgdir"/usr/share/doc/$pkgname/examples \
+		|| return 1
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr \
+		--root="$subpkgdir" --optimize=1 || return 1
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+md5sums="c244b8576e6578dd19345a3d0ee8e295  py-colorama-0.3.7.tar.gz"
+sha256sums="23a8999d95b05a26a6ba62015211b3565cb66c6c40f7884825a07fe192ab90bd  py-colorama-0.3.7.tar.gz"
+sha512sums="d99ad0fc3e53ab3df1b723c308e8367411b355ba3197955a6d81771b03f014600ef84ccbc1ac84b14a74062eb8c27a9f214823fe3c094a392cb7304d9b7d70eb  py-colorama-0.3.7.tar.gz"
-- 
2.10.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/4] testing/py-semanticversion: new aport

Sören Tempel
Details
Message ID
<20161103183910.14558-2-soeren+git@soeren-tempel.net>
In-Reply-To
<20161103183910.14558-1-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1478198348
DKIM signature
missing
Download raw message
Patch: +53 -0
---
 testing/py-semanticversion/APKBUILD | 53 +++++++++++++++++++++++++++++++++++++
 1 file changed, 53 insertions(+)
 create mode 100644 testing/py-semanticversion/APKBUILD

diff --git a/testing/py-semanticversion/APKBUILD b/testing/py-semanticversion/APKBUILD
new file mode 100644
index 0000000..234e028
--- /dev/null
+++ b/testing/py-semanticversion/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=py-semanticversion
+_pkgname=${pkgname#py-}
+pkgver=2.6.0
+pkgrel=0
+pkgdesc="A library implementing the 'SemVer' scheme."
+url="https://github.com/rbarrois/python-semanticversion"
+arch="all"
+license="BSD"
+depends=""
+makedepends="python2-dev python3-dev py-setuptools py-sphinx"
+install=""
+subpackages="py3-$_pkgname:_py3 py2-$_pkgname:_py2 $pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/rbarrois/python-semanticversion/archive/v$pkgver.tar.gz"
+builddir="$srcdir/python-semanticversion-$pkgver"
+
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"/docs
+	make text || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 _build/text/* \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr \
+		--root="$subpkgdir" --optimize=1 || return 1
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+md5sums="49c4d78fec2ab2dabdf6ef5d9a8ea578  py-semanticversion-2.6.0.tar.gz"
+sha256sums="110d9c75dc9670a188ab820503c6b40ea4ab3f1450a0aee5a90a24fd60aef358  py-semanticversion-2.6.0.tar.gz"
+sha512sums="18db9279c2728565b13362c54bedbf569f0878cbe6bb58e631d87ffe7cff7d9131a30a2592cbf511091c03e854851159bbb298fe7469f53e8a2d92cf26ab4d0b  py-semanticversion-2.6.0.tar.gz"
-- 
2.10.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 3/4] testing/py-click5: new aport

Sören Tempel
Details
Message ID
<20161103183910.14558-3-soeren+git@soeren-tempel.net>
In-Reply-To
<20161103183910.14558-1-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1478198349
DKIM signature
missing
Download raw message
Patch: +49 -0
---
 testing/py-click5/APKBUILD | 49 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)
 create mode 100644 testing/py-click5/APKBUILD

diff --git a/testing/py-click5/APKBUILD b/testing/py-click5/APKBUILD
new file mode 100644
index 0000000..cdbe756
--- /dev/null
+++ b/testing/py-click5/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=py-click5
+_pkgname=click
+pkgver=5.1
+pkgrel=0
+pkgdesc="A simple wrapper around optparse for powerful command line utilities"
+url="http://click.pocoo.org/"
+arch="all"
+license="BSD"
+depends="!py-click !py2-click !py3-click"
+makedepends="python2-dev python3-dev py-setuptools"
+subpackages="py2-${pkgname#py-}:_py2 py3-${pkgname#py-}:_py3"
+source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python2 setup.py build || return 1
+	python3 setup.py build || return 1
+}
+
+package() {
+	mkdir -p "$pkgdir"
+}
+
+_py2() {
+	replaces="$pkgname"
+	_py python2
+}
+
+_py3() {
+	_py python3
+}
+
+_py() {
+	local python="$1"
+	pkgdesc="$pkgdesc (for $python)"
+	depends="$depends $python"
+	install_if="$pkgname=$pkgver-r$pkgrel $python"
+
+	cd "$builddir"
+	$python setup.py install --prefix=/usr --root="$subpkgdir"
+}
+
+md5sums="9c5323008cccfe232a8b161fc8196d41  click-5.1.tar.gz"
+sha256sums="678c98275431fad324275dec63791e4a17558b40e5a110e20a82866139a85a5a  click-5.1.tar.gz"
+sha512sums="b860b0227644f5d1cc24d41e66985421ec971f11f3f596fb46508fdc787200b949e7ef29b2035421ebb0115384688da03c3c95a0d6acc58dd3b566b32a2b7c6a  click-5.1.tar.gz"
-- 
2.10.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 4/4] testing/platformio: new aport

Sören Tempel
Details
Message ID
<20161103183910.14558-4-soeren+git@soeren-tempel.net>
In-Reply-To
<20161103183910.14558-1-soeren+git@soeren-tempel.net> (view parent)
Sender timestamp
1478198350
DKIM signature
missing
Download raw message
Patch: +36 -0
---
 testing/platformio/APKBUILD | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)
 create mode 100644 testing/platformio/APKBUILD

diff --git a/testing/platformio/APKBUILD b/testing/platformio/APKBUILD
new file mode 100644
index 0000000..f6a422e
--- /dev/null
+++ b/testing/platformio/APKBUILD
@@ -0,0 +1,36 @@
+# Contributor: Sören Tempel <soeren+alpine@soeren-tempel.net>
+# Maintainer:
+pkgname=platformio
+pkgver=3.1.0
+pkgrel=0
+pkgdesc="An open source ecosystem for IoT development"
+url="http://platformio.org"
+arch="all"
+license="ASL 2.0"
+depends="python py-bottle py-click5 py-lockfile py-serial
+	py-requests py-colorama py-semanticversion"
+makedepends="python-dev py-setuptools"
+install=""
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/$pkgname/$pkgname/archive/v$pkgver.tar.gz"
+builddir="$srcdir/$pkgname-$pkgver"
+
+build() {
+	cd "$builddir"
+	python setup.py build || return 1
+}
+
+package() {
+	cd "$builddir"
+	python setup.py install --prefix=/usr \
+		--root="$pkgdir" || return 1
+
+	mkdir -p "$pkgdir"/usr/share/doc/$pkgname/
+	install -m644 CONTRIBUTING.md README.rst HISTORY.rst \
+		"$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+}
+
+md5sums="ff7a342dacdf212d77b85e5ed277baf8  platformio-3.1.0.tar.gz"
+sha256sums="80b22f4322904648ea4b355935ea9315cfd765c3286022b54b75227e1be03d83  platformio-3.1.0.tar.gz"
+sha512sums="12469a5e9765817d5203577235a8d7a12d8b9fd21281d18507d4d4229f1f1852650436136c0a60073f01e76d2d51813e1448e3a8e73bbd956ab7c8520cc21657  platformio-3.1.0.tar.gz"
-- 
2.10.2



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---